@import "../../utils/variables";

.root {
  height: 100vh;
  display: grid;
  grid-template-columns: max-content 1fr max-content;
  padding-top: $header-top-space-height;
  overflow: hidden;

  &[data-theme="dark"] {
    background-color: $background-color-main-dark;

    .footerContainer {
      background-color: $background-color-footer-dark;
    }
  }

  &[data-theme="light"] {
    background-color: $background-color-main-light;

    .footerContainer {
      background-color: $background-color-footer-light;
    }
  }

  .dockLeftContainer {
    grid-column-start: 1;
    grid-column-end: 2;
  }

  .mainArea {
    grid-column-start: 2;
    grid-column-end: 3;

    display: grid;
    grid-template-rows: 1fr 5rem;
    grid-template-columns: 1fr;
    overflow: scroll;

    .mainContainer {
      margin: 0 0;

      display: grid;
      padding: 1.3rem;
      grid-template-columns: repeat(auto-fill, minmax(20rem, 1fr));
      grid-auto-rows: minmax(20rem, max-content);
      grid-gap: 1px;
    }

    .footerContainer {
      grid-column-start: 1;
      grid-column-end: 4;
      padding: 1.3rem;
      text-align: right;
      font-weight: 500;
    }
  }

  .dockRightContainer {
    grid-column-start: 3;
    grid-column-end: 4;
  }
}
